Summary:	Enhanced WHOIS client
Summary(pl.UTF-8):	Rozszerzony klient WHOIS
Summary(ru.UTF-8):	Улучшенный клиент WHOIS
Summary(uk.UTF-8):	Покращений клієнт WHOIS
Name:		whois
Version:	5.5.23
Release:	1%{?tld}
License:	GPL v1+
Group:		Networking/Utilities
Source0:	http://ftp.debian.org/debian/pool/main/w/whois/%{name}_%{version}.tar.xz
# Source0-md5:	715c9bf22a0590fc810faf8a04b46b2d
Patch0:		%{name}-idn.patch
Patch1:		%{name}-config.patch
Patch2:		%{name}-mkpwdhash.patch
URL:		https://github.com/rfc1036/whois
BuildRequires:	gettext-tools
BuildRequires:	libidn2-devel >= 2.0.3
BuildRequires:	libxcrypt-devel >= 4.1
BuildRequires:	perl-base
BuildRequires:	pkgconfig
BuildRequires:	tar >= 1:1.22
BuildRequires:	xz
Requires:	libidn2 >= 2.0.3
Obsoletes:	inetutils-whois
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
This is a new whois (RFC 954) client rewritten from scratch. It is
derived from and compatible with the usual BSD and RIPE whois(1)
programs. It is intelligent and can automatically select the
appropriate whois server for most queries.

%description -l pl.UTF-8
To jest nowy klient usługi whois (RFC 954) napisany całkowicie od
nowa. Jest kompatybilny zarówno z whois z BSD oraz RIPE. Jest
inteligentny i automatycznie dobiera poprawny serwer whois dla
większosci zapytań.

%description -l ru.UTF-8
Это написанный с "нуля" клиент (RFC 954), совместимый с whois(1)
программами BSD и RIPE. В большинстве случаев он может автоматически
выбирать правильный whois сервер в зависимости от запроса.

%description -l uk.UTF-8
Це заново написаний клієнт whois (RFC 954), сумісний з whois(1)
програмами BSD та RIPE. Він в більшості випадків може автоматично
вибирати правильний whois сервер в залежності від запиту.

%prep
%setup -q -n %{name}
%patch0 -p1
%patch1 -p1
%patch2 -p1

%build
%{__make} \
	CC="%{__cc}" \
	CFLAGS="%{rpmcflags} %{rpmcppflags}" \
	HAVE_ICONV=1

%{__make} -C po

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_sysconfdir},%{_bindir},%{_mandir}/man1}

%{__make} install install-pos \
	BASEDIR=$RPM_BUILD_ROOT \
	prefix=%{_prefix}

%{__cp} -p whois.conf $RPM_BUILD_ROOT%{_sysconfdir}

%find_lang %{name}

%clean
rm -rf $RPM_BUILD_ROOT

%files -f %{name}.lang
%defattr(644,root,root,755)
%doc README debian/changelog
%attr(755,root,root) %{_bindir}/mkpwdhash
%attr(755,root,root) %{_bindir}/whois
%config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/whois.conf
%{bash_compdir}/mkpwdhash
%{bash_compdir}/whois
%{_mandir}/man1/mkpwdhash.1*
%{_mandir}/man1/whois.1*
%{_mandir}/man5/whois.conf.5*
%changelog
* Fri Aug 16 2024 TLD Linux <feedback@tld-linux.org>
- For complete changelog see: http://git.tld-linux.org/?p=packages/whois.git;a=log;h=master

* Sat Jul 20 2024 Jakub Bogusz <qboosh@pld-linux.org> bde8fad
- updated to 5.5.23

* Sun Apr 07 2024 Jakub Bogusz <qboosh@pld-linux.org> 6cc0c1b
- updated to 5.5.22

* Sat Oct 21 2023 Jakub Bogusz <qboosh@pld-linux.org> d842d69
- updated to 5.5.19

* Thu Oct 05 2023 Jakub Bogusz <qboosh@pld-linux.org> 8f52e60
- enhanced mkpwdhash patch to cover also bash completion; package bash completions
- updated pl.po-update patch
- release 2

* Thu Oct 05 2023 Arkadiusz Miśkiewicz <arekm@maven.pl> 8d90ca4
- Up to 5.5.18

* Wed Feb 01 2023 Arkadiusz Miśkiewicz <arekm@maven.pl> 8f5542c
- Release 2 (by relup.sh)

* Sat Dec 04 2021 Jakub Bogusz <qboosh@pld-linux.org> 022d2db
- updated to 5.5.10

* Tue Nov 16 2021 Jan Rękorajski <baggins@pld-linux.org> 86233d0
- rediff patch, rel 2

* Mon Feb 17 2020 Arkadiusz Miśkiewicz <arekm@maven.pl> 8fa6ca0
- up to 5.5.6

* Thu Feb 06 2020 Arkadiusz Miśkiewicz <arekm@maven.pl> f9849c0
- up to 5.5.5

* Thu Oct 03 2019 Adam Gołębiowski <adamg@pld-linux.org> 3283383
- updated to 5.5.2

* Thu Aug 22 2019 Adam Gołębiowski <adamg@pld-linux.org> 2d6cdc0
- updated to 5.5.1

* Thu Mar 28 2019 Adam Gołębiowski <adamg@pld-linux.org> 3c4f0dc
- updated to 5.4.2

* Sat Feb 09 2019 Jan Rękorajski <baggins@pld-linux.org> 82c8cd0
- release 3 (by relup.sh)

* Wed Jan 30 2019 Adam Gołębiowski <adamg@pld-linux.org> 66172a0
- release 2

* Wed Jan 30 2019 Adam Gołębiowski <adamg@pld-linux.org> 42a744f
- updated to 5.4.1

* Fri Nov 30 2018 Jakub Bogusz <qboosh@pld-linux.org> c086456
- added pl.po-update patch

* Fri Nov 30 2018 Jakub Bogusz <qboosh@pld-linux.org> 0725bc6
- BR: libxcrypt >= 4.1 for extended mkpwdhash functionality

* Sat Nov 10 2018 Adam Gołębiowski <adamg@pld-linux.org> 41354e4
- updated to 5.4.0

* Fri Jun 08 2018 Jakub Bogusz <qboosh@pld-linux.org> 5f0043d
- libidn2 version

